none
VS2015中能否使用C#7.0标准 RRS feed

  • 问题

  • 我电脑不知道什么原因,安装不上VS2017,安装程序闪退,现在只能安装VS2015。但别人写的代码里有C#7.0的一些特性,所以想问VS2015中能否直接升级C#标准,以方便编译别人用VS2017写的C#代码。
    2019年1月7日 9:39

答案

  • Hi,

    你可以看看这个类似的问题,通过安装NuGetMicrosoft.Net.Compilers来替换默认的compiler版本。

    理论上,从Visual Studio “15” Preview 4 才开始支持C# 7.0,一般我们还是建议用户使用VS 2017.


    MSDN Community Support Please remember to click "Mark as Answer" the responses that resolved your issue, and to click "Unmark as Answer" if not. This can be beneficial to other community members reading this thread. If you have any compliments or complaints to MSDN Support, feel free to contact MSDNFSF@microsoft.com


    这种方法,对项目框架好像也有要求,得.net 4.6才行。后来通过修改安装包的兼容性,安装上VS2017了!
    2019年1月19日 8:47

全部回复

  • Hi,

    你可以看看这个类似的问题,通过安装NuGetMicrosoft.Net.Compilers来替换默认的compiler版本。

    理论上,从Visual Studio “15” Preview 4 才开始支持C# 7.0,一般我们还是建议用户使用VS 2017.


    MSDN Community Support Please remember to click "Mark as Answer" the responses that resolved your issue, and to click "Unmark as Answer" if not. This can be beneficial to other community members reading this thread. If you have any compliments or complaints to MSDN Support, feel free to contact MSDNFSF@microsoft.com

    2019年1月8日 8:27
    版主
  • Hi,

    你可以看看这个类似的问题,通过安装NuGetMicrosoft.Net.Compilers来替换默认的compiler版本。

    理论上,从Visual Studio “15” Preview 4 才开始支持C# 7.0,一般我们还是建议用户使用VS 2017.


    MSDN Community Support Please remember to click "Mark as Answer" the responses that resolved your issue, and to click "Unmark as Answer" if not. This can be beneficial to other community members reading this thread. If you have any compliments or complaints to MSDN Support, feel free to contact MSDNFSF@microsoft.com


    这种方法,对项目框架好像也有要求,得.net 4.6才行。后来通过修改安装包的兼容性,安装上VS2017了!
    2019年1月19日 8:47